/* Generated By:JavaCC: Do not edit this line. CminusParserVisitor.java Version 5.0 */
public interface CminusParserVisitor
{
  public Object visit(SimpleNode node, Object data);
  public Object visit(ASTinteger node, Object data);
  public Object visit(ASTprogram node, Object data);
  public Object visit(ASTdeclarationList node, Object data);
  public Object visit(ASTdeclaration node, Object data);
  public Object visit(ASTtypeSpecifier node, Object data);
  public Object visit(ASTvarDecleration node, Object data);
  public Object visit(ASTscalarDeclaration node, Object data);
  public Object visit(ASTarrayDeclaration node, Object data);
  public Object visit(ASTfunDecleration node, Object data);
  public Object visit(ASTparams node, Object data);
  public Object visit(ASTparam node, Object data);
  public Object visit(ASTarrayParamFlag node, Object data);
  public Object visit(ASTcompoundStatment node, Object data);
  public Object visit(ASTlocalDeclarations node, Object data);
  public Object visit(ASTstatementList node, Object data);
  public Object visit(ASTstatement node, Object data);
  public Object visit(ASTexpressionStatement node, Object data);
  public Object visit(ASTassignStatement node, Object data);
  public Object visit(ASTvar node, Object data);
  public Object visit(ASTreturnStatement node, Object data);
  public Object visit(ASTselectionStatement node, Object data);
  public Object visit(ASTiterationStatement node, Object data);
  public Object visit(ASTrelationalExpression node, Object data);
  public Object visit(ASTrelop node, Object data);
  public Object visit(ASTadditiveExpression node, Object data);
  public Object visit(ASTadditiveExpressionPrime node, Object data);
  public Object visit(ASTaddop node, Object data);
  public Object visit(ASTterm node, Object data);
  public Object visit(ASTtermPrime node, Object data);
  public Object visit(ASTmultop node, Object data);
  public Object visit(ASTfactor node, Object data);
  public Object visit(ASTcall node, Object data);
  public Object visit(ASTargs node, Object data);
}
/* JavaCC - OriginalChecksum=1b7134e70485eeca2cf8767be430aa77 (do not edit this line) */
